@ECHO OFF
mode con:cols=90 lines=30
:MENU
CLS
ECHO.
ECHO ------------------------------------------------------------------------------------------
ECHO                             Root fuer das Medion LifeTab P9516
ECHO                          basierend auf dem Original-Batch von sparkym3
ECHO.
ECHO                      Anerkennung an miloj fuer das Finden der Rooting-Methode
ECHO ------------------------------------------------------------------------------------------
ECHO.
ECHO            1 - LifeTab rooten
ECHO.
ECHO            2 - Spenden Menue
ECHO.
ECHO            3 - Ende
ECHO.
SET M=none
SET /P M=Bitte waehlen Sie eine Option: 
IF %M%==1 GOTO ROOT
IF %M%==2 GOTO DONATE
IF %M%==3 GOTO DONE
IF %M%==none  (
   (ECHO. & ECHO Sie haben keine gueltige Option gewaehlt. Beenden...) & ECHO. & PAUSE & EXIT
)
:DONATE
CLS
ECHO.
ECHO ------------------------------------------------------------------------------------------
ECHO                             Root fuer das Medion LifeTab P9516
ECHO                          basierend auf dem Original-Batch von sparkym3
ECHO.
ECHO                      Anerkennung an miloj fuer das Finden der Rooting-Methode
ECHO ------------------------------------------------------------------------------------------
ECHO.
ECHO                         Wenn Sie sich entschieden haben zu spenden, VIELEN DANK!!
ECHO.
ECHO              1 - Spende an sparkym3       (Ersteller des Original-Tools)
ECHO              2 - Spende an miloj          (Root Methode)
ECHO              3 - Spende an viperboy       (Ersteller der Basis Struktur fuer dieses Tool)
ECHO.
ECHO              4 - Ende
ECHO.
SET M=none
SET /P M=Bitte waehlen Sie eine Option: 
IF %M%==1 GOTO SPARKYM3
IF %M%==2 GOTO MILOJ
IF %M%==3 GOTO VIPER
IF %M%==4 GOTO MENU
IF %M%==none  (
   (ECHO. & ECHO Sie haben keine gueltige Option gewaehlt. Zurueck zum Hauptmenue...) & ECHO. & PAUSE & GOTO:MENU
)
:SPARKYM3
	START http://goo.gl/Ptlci
	ECHO.
	ECHO                                          Danke schoen!!!
	ECHO.
	pause
	GOTO MENU
:MILOJ
	START http://goo.gl/HeZdP
	ECHO.
	ECHO                                          Danke schoen!!!
	ECHO.
	pause
	GOTO MENU
:VIPER
	START http://bit.ly/n7sB9g
	ECHO.
	ECHO                                          Danke schoen!!!
	ECHO.
	pause
	GOTO MENU
:ROOT
	CLS
	ECHO.
	ECHO Sie muessen die MEDION LifeTab ADB-Treiber installieren, die mit diesem Tool
	ECHO mitgeliefert wurden.
	ECHO Fuer mehr Informationen schauen Sie bitte unter
	ECHO.
	ECHO http://www.android-hilfe.de/medion-lifetab-p9516-forum/222957-adb-treiber-fuer-das-p9516.html
	ECHO.
	pause
	CLS
	ECHO.
	ECHO Sie muessen ausserdem 'Falsche Standorte' und 'USB Debugging' aktivieren
	ECHO.
	ECHO Info:
	ECHO "Einstellungen > System > Entwickleroptionen > USB-Debugging"
	ECHO "Einstellungen > System > Entwickleroptionen > Falsche Standorte"
	ECHO.
	pause
	CLS
	ECHO.
	ECHO Warten auf die Erkennung des LifeTab...
	@adb kill-server
	@adb wait-for-device
	ECHO.
	ECHO.
	ECHO Schritt 1 - Dateien kopieren...
	@adb push debugfs /data/local/
	@adb push su /data/local/
	@adb push debugfsinput /data/local/
	@adb shell mv /data/local/tmp /data/local/tmp.bak
	@adb shell ln -s /dev/block/mmcblk0p3 /data/local/tmp
	ECHO.
	@adb reboot
	ECHO LifeTab wird neu gestartet. Kann 1-2 Minuten dauern.
	ECHO Sobald Windows das LT wieder erkannt hat, bitte eine Taste druecken.
	@pause
	@adb wait-for-device
	::CLS
	ECHO.
	ECHO.
	ECHO Schritt 2 - Rooting...
	@adb shell chmod 755 /data/local/debugfs
	@adb shell "/data/local/debugfs -w /dev/block/mmcblk0p3 < /data/local/debugfsinput"
	@adb shell rm /data/local/tmp
	@adb shell mv /data/local/tmp.bak /data/local/tmp
	@adb shell rm /data/local/su
	@adb shell rm /data/local/debugfs
	@adb shell rm /data/local/debugfsinput
	ECHO.
	@adb reboot
	ECHO LifeTab wird neu gestartet. Kann 1-2 Minuten dauern.
	ECHO Sobald Windows das LT wieder erkannt hat, bitte eine Taste druecken.
	@pause
	@adb wait-for-device
	::CLS
	ECHO Root testen...
	@adb shell "/system/xbin/su -c id"
	ECHO.
	goto androidid
	:androidid
		ECHO "Sehen sie id=0(root) gid=0(root)?" 
		set /p answer=Sind beide auf 0? (j/n): 
		if /i "%answer:~,1%" EQU "j" goto afterid
		if /i "%answer:~,1%" EQU "n" goto NOTZERO
		ECHO.
	:afterid
		CLS
		ECHO Installiere Superuser.apk...
		@adb install Superuser.apk
		::CLS
		ECHO.
		ECHO LifeTab neu starten. Kann 1-2 Minuten dauern...
		@adb reboot
		::CLS
		ECHO.
		ECHO Wenn Ihr LifeTab neu gestartet ist, ist es geROOTet!
		ECHO.
		pause
		GOTO MENU
:NOTZERO
	::CLS
	@adb shell /data/local/nachoroot.bin --undo > nul
	@adb reboot
	ECHO.
	ECHO.
	ECHO ROOT konnte nicht erlangt werden. Starten Sie das LifeTab neu.
	ECHO Vielleicht versuchen Sie es noch einmal.
	ECHO.
	pause
	GOTO MENU
:DONE
	CLS
	EXIT
